Discuz!应用商城(DisMall)Discuz!应用商城(DisMall)

 找回密码
 立即注册
搜索
热搜: 活动 交友 discuz
查看: 1749|回复: 4

适配PHP8了吗?

[复制链接]

16

主题

134

帖子

176

积分

Member

Rank: 2Rank: 2

贡献
0 点
金币
37 个
QQ
发表于 2021-1-5 16:23:18 | 显示全部楼层 |阅读模式
我几个站都是PHP8没问题,就discuz不行,php8啥时候上啊?
回复

使用道具 举报

1

主题

203

帖子

213

积分

DXGiter

Rank: 6Rank: 6Rank: 6

贡献
0 点
金币
5 个
发表于 2021-1-5 18:25:25 | 显示全部楼层
下一版Discuz x3.5发布的时候会支持php8。

x3.4不会支持php8,Discuz历史比较悠久,老代码多,涉及到的需要修改的点也多。要支持php8需要改很多东西,没法和现有版本完美兼容。
破坏了兼容性的修改就只能放下一个版本号了。
回复 支持 反对

使用道具 举报

42

主题

1913

帖子

2173

积分

管理员

Rank: 9Rank: 9Rank: 9

贡献
0 点
金币
143 个
发表于 2021-1-6 12:09:33 | 显示全部楼层
首先,不建议尝鲜,不要将各种环境等一直追求在最新版,所有的适配和优化都是延迟的。
回复 支持 反对

使用道具 举报

4

主题

81

帖子

99

积分

开发者

Rank: 6Rank: 6Rank: 6

贡献
0 点
金币
12 个
QQ
发表于 2021-1-18 03:22:18 来自手机版 | 显示全部楼层
php8对服务器配置要求高哦,用宝塔举例,服务器内存低于8g的都无法安装php8
回复 支持 反对

使用道具 举报

1

主题

203

帖子

213

积分

DXGiter

Rank: 6Rank: 6Rank: 6

贡献
0 点
金币
5 个
发表于 2021-1-21 22:19:22 | 显示全部楼层
skyer 发表于 2021-1-18 03:22
php8对服务器配置要求高哦,用宝塔举例,服务器内存低于8g的都无法安装php8

宝塔写的是编译安装所需的内存,实际运行不需要那么多内存。
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

手机版|小黑屋|Discuz!应用中心 ( 皖ICP备16010102号 )|网站地图star

GMT+8, 2022-5-19 17:58 , Processed in 0.040399 second(s), 9 queries , Yac On.

Powered by Discuz!

Copyright © Tencent Cloud.

快速回复 返回顶部 返回列表